import 'package:flutter/material.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';
import 'package:webview_flutter/webview_flutter.dart';
import '../../../Helper/Constants/Colorconstants.dart';


class CustomerFaqs extends StatefulWidget {
  const CustomerFaqs({Key? key, this.title}) : super(key: key);

  final String? title;

  @override
  CustomerFaqsState createState() => CustomerFaqsState();
}

class CustomerFaqsState extends State<CustomerFaqs> {

  double webProgress = 0;


  @override
  void initState() {


    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title:  Text('FAQ\'s',style: TextStyle(color: ColorConstants.secondaryColor,fontFamily: 'Lato')),
        leading: InkWell(child: const FaIcon(FontAwesomeIcons.angleLeft,color: Colors.white,size: 30),onTap: ()=>Navigator.pop(context)),
        backgroundColor: ColorConstants.primaryColor,
      ),
      body:  Column(
        children: [
          webProgress < 1
              ? SizedBox(
            height: 5,
            child: LinearProgressIndicator(
              value: webProgress,
              color: ColorConstants.primaryColor,
              backgroundColor: ColorConstants.secondaryColor,
            ),
          )
              : const SizedBox(),
          // Expanded(
          //   child: WebView(
          //     backgroundColor: ColorConstants.secondaryColor,
          //     initialUrl: ' https://nearle.in/faq.html',
          //     javascriptMode: JavascriptMode.unrestricted,
          //     onProgress: (progress) {
          //       setState(() {
          //         webProgress = progress / 100;
          //       });
          //     },
          //   ),
          // ),
        ],
      ),
    );
  }
}

